package main

import "time"

// Game world constants
const (
	// Server-related constants
	ServerTickRate = 600 * time.Millisecond // RuneScape-style tick rate
	ClientTickRate = 50 * time.Millisecond  // Client runs at higher rate for smooth rendering
	MaxTickDesync  = 5                      // Max ticks behind before forcing resync
	DefaultPort    = "6969"                 // Default server port

	// Map constants
	MapWidth   = 50
	MapHeight  = 50
	TileSize   = 32
	TileHeight = 2.0
)

// UI constants
const (
	ChatMargin    = 10
	ChatHeight    = 200
	MessageHeight = 20
	InputHeight   = 30
	MaxMessages   = 50
)

// Environment variable names
const (
	EnvSafeMode          = "GOONSCAPE_SAFE_MODE"
	EnvDisableAnimations = "GOONSCAPE_DISABLE_ANIMATIONS"
	EnvDisableAudio      = "GOONSCAPE_DISABLE_AUDIO"
)
